# Class RelayXmrTxReply

#### Hierarchy

- unknown
  - RelayXmrTxReply

- Defined in src/protobuf/grpc_pb.d.ts:3330
- Defined in src/protobuf/grpc_pb.d.ts:3342

#####
Index

### Constructors

constructor

### Methods

getHash
serializeBinary
setHash
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RelayXmrTxReply(): RelayXmrTxReply

- #### Returns RelayXmrTxReply

  Inherited from jspb.Message.constructor

## Methods

### getHash

- getHash(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3331

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3334

### setHash

- setHash(value: string): RelayXmrTxReply

- #### Parameters

  - ##### value: string

  #### Returns RelayXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3332

### toObject

- toObject(includeInstance?: boolean): RelayXmrTxReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RelayXmrTxReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3335

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RelayXmrTxReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RelayXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3338

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RelayXmrTxReply, reader: BinaryReader): RelayXmrTxReply

- #### Parameters

  - ##### message: RelayXmrTxReply

  - ##### reader: BinaryReader

  #### Returns RelayXmrTxReply

  - Defined in src/protobuf/grpc_pb.d.ts:3339

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RelayXmrTxReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RelayXmrTxReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3337

### `Static` toObject

- toObject(includeInstance: boolean, msg: RelayXmrTxReply): RelayXmrTxReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RelayXmrTxReply

  #### Returns RelayXmrTxReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3336

Generated using TypeDoc